{
  "name": "poc-webloc-backend",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "docker:build": "docker build -t webloc-backend .",
    "docker:run": "docker run -p 3080:3080 webloc-backend",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.312.0",
    "@aws-sdk/lib-storage": "^3.312.0",
    "@nestjs/common": "^9.0.0",
    "@nestjs/config": "^2.3.1",
    "@nestjs/core": "^9.0.0",
    "@nestjs/mapped-types": "*",
    "@nestjs/platform-express": "^9.0.0",
    "@nestjs/platform-socket.io": "^9.4.0",
    "@nestjs/schedule": "^2.2.0",
    "@nestjs/typeorm": "^9.0.1",
    "@nestjs/websockets": "^9.4.0",
    "aws-sdk": "^2.1359.0",
    "axios": "^1.7.2",
    "csv-stringify": "^6.4.0",
    "ffprobe-client": "^1.1.6",
    "joi": "^17.8.3",
    "moment": "^2.29.4",
    "mysql2": "^3.1.2",
    "node-fetch": "^2.6.9",
    "pdfdataextract": "^3.2.0",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.2.0",
    "sharepoint-api-wrapper": "^1.1.1",
    "sqlite3": "^5.1.4",
    "typeorm": "^0.3.12"
  },
  "devDependencies": {
    "@nestjs/cli": "^9.0.0",
    "@nestjs/schematics": "^9.0.0",
    "@nestjs/testing": "^9.0.0",
    "@types/cron": "^2.0.0",
    "@types/express": "^4.17.13",
    "@types/jest": "29.2.4",
    "@types/node": "18.11.18",
    "@types/node-fetch": "^2.6.3",
    "@types/ping": "^0.4.1",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "eslint": "^8.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "jest": "29.3.1",
    "prettier": "^2.3.2",
    "socket.io": "^4.6.1",
    "source-map-support": "^0.5.20",
    "supertest": "^6.1.3",
    "ts-jest": "29.0.3",
    "ts-loader": "^9.2.3",
    "ts-node": "^10.0.0",
    "tsconfig-paths": "4.1.1",
    "typescript": "^4.7.4"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "coveragePathIgnorePatterns": [
      ".schema.ts",
      ".dto.ts",
      ".module.ts",
      ".entity.ts",
      "main.ts"
    ],
    "testEnvironment": "node",
    "verbose": true
  }
}
